@movable/eslint-config

v0.6.8

Shared ESLint configuration for Movable Ink

MIT
Latest version published 3 months ago
    npm install @movable/eslint-config
  
We couldn't find any similar packages Browse all packages

Package Health Score

63 / 100
  • Popularity
    Limited
  • Maintenance
    Healthy
  • Security
    No known security issues
  • Community
    Limited
Make sure the open source you're using is safe to use
Secure my Project

Popularity

Limited
Weekly Downloads (285)
Dependents
0
GitHub Stars
0
Forks
0
Contributors
2

The npm package @movable/eslint-config receives a total of 285 downloads a week. As such, we scored @movable/eslint-config popularity level to be Limited.

Based on project statistics from the GitHub repository for the npm package @movable/eslint-config, we found that it has been starred ? times, and that 0 other projects in the ecosystem are dependent on it.

Downloads are calculated as moving averages for a period of the last 12 months, excluding weekends and known missing data points.

Security

No known security issues
Powered by Snyk

Security and license risk for significant versions

All Versions

Direct Vulnerabilities

0.2.2
0.3.0
0.4.0
0.5.1
0.6.8
  • 0
    H
  • 0
    M
  • 0
    L
  • 0
    H
  • 0
    M
  • 0
    L
  • 0
    H
  • 0
    M
  • 0
    L
  • 0
    H
  • 0
    M
  • 0
    L
  • 0
    H
  • 0
    M
  • 0
    L

Indirect Vulnerabilities

0.2.2
0.3.0
0.4.0
0.5.1
0.6.8
  • 0
    H
  • 0
    M
  • 0
    L
  • 0
    H
  • 0
    M
  • 0
    L

License Risks

0.2.2
0.3.0
0.4.0
0.5.1
0.6.8
  • 0
    H
  • 0
    M
  • 0
    L
  • 0
    H
  • 0
    M
  • 0
    L
  • 0
    H
  • 0
    M
  • 0
    L
  • 0
    H
  • 0
    M
  • 0
    L
  • 0
    H
  • 0
    M
  • 0
    L
All security vulnerabilities belong to production dependencies of direct and indirect packages.

License
MIT

Security Policy
No

We found a way for you to contribute to the project! Looks like @movable/eslint-config is missing a security policy.


Snyk detected that the latest version of @movable/eslint-config has a security vulnerability.

We highly advise you to review these security issues.

You can connect your project's repository to Snyk to stay up to date on security alerts and receive automatic fix pull requests.

We found a way for you to contribute to the project! Looks like @movable/eslint-config is missing a security policy.

    # Install the Snyk CLI and test your project
npm i snyk && snyk test @movable/eslint-config
Fix it in your project with Snyk!

Maintenance

Healthy
Commit Frequency
Open Issues
2
Merged PR
248
Open PR
2
Last Commit
7 days ago

Further analysis of the maintenance status of @movable/eslint-config based on released npm versions cadence, the repository activity, and other data points determined that its maintenance is Healthy.

We found that @movable/eslint-config demonstrates a positive version release cadence with at least one new version released in the past 12 months.

As a healthy sign for on-going project maintenance, we found that the GitHub repository had at least 1 pull request or issue interacted with by the community.

Community

Limited
Readme.md
No
Contributing.md
No
Code of Conduct
No
Contributors
2
Funding
No

This project has seen only 10 or less contributors.

We found a way for you to contribute to the project! Looks like @movable/eslint-config is missing a Code of Conduct.

How about a good first contribution to this project? It seems that @movable/eslint-config is missing a README file.


Embed Package Health Score Badge

package health: 63/100 package health 63/100

Package

Node.js Compatibility
not defined

Age
1 year
Dependencies
7 Direct / 135 Total
Versions
16
Install Size
6.98 kB
Dist-tags
1
# of Files
4
Maintainers
16
TS Typings
No

We detected a total of 135 direct & transitive dependencies for @movable/eslint-config. See the full dependency tree of @movable/eslint-config

@movable/eslint-config has more than a single and default latest tag published for the npm package. This means, there may be other tags available for this package, such as next to indicate future releases, or stable to indicate stable releases.